Subject: Re: =?US-ASCII?Q?Re:_=3D=3FISO-8859-1=3FQ=3FRe:=5Fbug#4157:=5F23.1.5?= =?US-ASCII?Q?0;=5Ffaulty=5Fcharacter=5Fcharacter=3F=3D_=3D=3FISO?= =?US-ASCII?Q?-8859-1=3FQ=3Fisation=5Ffor=5F=3DE4=3F=3D?=

From: Kenichi Handa <[email-masked]>
Date: Thu, 27 Aug 2009 20:33:37 +0900

In article <[email-masked]>, Peter Dyballa <[email-masked]> writes:

>>> And ucs-normalize is auto-loaded!
> >
> > When is it loaded?

> Actually never! There are just precautions taken. When I deliberately  
> set file-name-coding-system to utf-8-hfs in my init file, GNU Emacs  
> stopped to initialise with an error message about an undefined  
> encoding. So ucs-normalize obviously was not loaded. I added a  
> (require 'ucs-normalize) – and it works! It works exceptionally well:  
> i-search for ä or æ or ø in file names works.

> That's really good work!

That's good.  Perhaps, we should add autoload cookie to
utf-8-hfs.

> What I wonder is why so many different font encodings are used when  
> characters are described. Wouldn't it make sense to use an iso10646-1  
> encoding in an UTF-8 environment for characters from 8-bit ISO  
> encodings? Wouldn't it free resources when less fonts are used? Or is  
> it my fault that I include definitions for ISO encodings in my font set?

I don't understand what you are saying.  Please tell more
precisely what these mean:
  o font encoding
  o characters from 8-bit ISO encodings
  o include definitions for ISO encodings in my font set?

---
Kenichi Handa
[email-masked]